Subject: RE: [Tsvwg] RE: question regarding retransmission

From: [email-masked]
Date: Thu, 24 Oct 2002 23:11:04 +0300

> ...
> >         The problem in my opinion, is that parts of the RFC are 
> > written thinking in a "classical" host (single homed), while some 
> > others do really take into account multihoming... This makes that 
> > some paragraphs are confusing...
> 
> This is the key to read the CC rules in RFC2960 correctly. And
> everything will start to make sense for you if you keep in 
> mind that the
> rules are assuming "the same dest addr is being used for send and
> re-send" and a self-contained within a single dest addr. 

	However, the possible existence of other addresses is clearly stated in section 6.3.3, even in E3)...

> But I don't think this is a problem. I remember we talked 
> about this and
> considered this is a good strategy to depict SCTP CC rules, because we
> wanted to have the rules be easily comparable with those of 
> TCP's and be
> easily cross-examined later to ensure the fairness and friendliness
> between the two. The catch is that one must read and keep in mind the
> assumptions made at the beginning of the chapter.

	Also, I remember asking about this same issue and being told that what I had to do was sending a single packet... It seems that different co-authors make different interpretations...

	At the end I think that a wise way to act is: don't do what the standard seems to say, but what you think is the way that makes more sense (as far as nobody can easily realize)... :-)

	Thanks!

	BR Iván Arias Rodríguez
_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg

---

From: Qiaobing Xie <[email-masked]>
Date: Thu, 24 Oct 2002 15:32:12 -0500

....
>         Also, I remember asking about this same issue and being told that what I had to do was sending a single packet... It seems that different co-authors make different interpretations...

I think we all agree on that we do not want to do anything more
aggressive than what the RFC depicts, but we may be different on how
conservative we want to be when it comes to a specific implementation.
And we agree that we can disagree on the latter. So, we are all on the
same page :-)

>         At the end I think that a wise way to act is: don't do what the standard seems to say, but what you think is the way that makes more sense (as far as nobody can easily realize)... :-)

I hope by "sense" here you meant one that is based on the understanding
of the design spirit of the protocol. That would help one overcoming the
limitation of textual communications :-)

-Qiaobing